Name:           perl-Crypt-Salsa20
Version:        0.03
Release:    2%{?dist}
Summary:        Encrypt data with the Salsa20 cipher
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-Salsa20

Source0:        https://cpan.metacpan.org/authors/id/C/CJ/CJM/Crypt-Salsa20-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

BuildRequires:  perl(Carp)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::More) >= 0.88


%description
Crypt::Salsa20 implements D. J. Bernstein's Salsa20 stream cipher (a.k.a.
Snuffle 2005) in Perl. For more information on Salsa20, see his page at
http://cr.yp.to/snuffle.html.

%prep
%setup -q -n Crypt-Salsa20-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test AUTOMATED_TESTING=1

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.03-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.03-1
- initial build
